Brands
Create a brand
Creates a brand. The CSS must parse as a brand theme; a rejected theme answers 422 with located findings under `fields.css`.
Creates a brand. The CSS must parse as a brand theme; a rejected theme answers 422 with located findings under fields.css. With isDefault, the new brand becomes the default. An organization holds at most 12 brands; creating one more answers 409 with a ConflictError.
Authorization
apiKey x-api-key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
slug*string
Match
^[a-z0-9](?:[a-z0-9-]{0,62}[a-z0-9])?$name*string
Length
1 <= length <= 120css?|null
assets?|null
footer?|null
isDefault?boolean|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/brands" \ -H "Content-Type: application/json" \ -d '{ "slug": "string", "name": "string" }'{ "id": "string", "slug": "string", "name": "string", "isDefault": true, "css": "string", "assets": { "logoUrl": "string", "logoDarkUrl": "string", "iconUrl": "string" }, "footer": { "companyName": "string", "address": { "street1": "string", "street2": "string", "city": "string", "region": "string", "postalCode": "string", "country": "string" }, "socialLinks": [ { "label": "string", "url": "string" } ] }, "digest": "string", "createdAt": "string", "updatedAt": "string"}